Package org.eclipse.gef.mvc.fx.behaviors

# Class HoverIntentBehavior

java.lang.Object
org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior
org.eclipse.gef.mvc.fx.behaviors.HoverIntentBehavior

All Implemented Interfaces:
  `IActivatable`, `IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>`, `IBehavior`

public class HoverIntentBehavior extends AbstractBehavior
The `HoverIntentBehavior` complements the `HoverBehavior` w.r.t. feedback and handle generation in response to `HoverModel` changes. While `HoverBehavior` is responsible for generating feedback and handles for the `HoverModel.hoverProperty()`, the `HoverIntentBehavior` is responsible for generating feedback and handles for the `HoverModel.hoverIntentProperty()`.

## Property Summary

### Properties inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`active, adaptable`

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`HOVER_INTENT_FEEDBACK_PART_FACTORY`
The adapter role for the `IFeedbackPartFactory` that is used to generate hover feedback parts.
`static final String`
`HOVER_INTENT_HANDLE_PART_FACTORY`
The adapter role for the `IHandlePartFactory` that is used to generate hover handle parts.

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

## Constructor Summary

Constructors
Constructor
Description
`HoverIntentBehavior()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doActivate()`
Post `AbstractBehavior.activate()` hook that may be overwritten to e.g. register listeners.
`protected void`
`doDeactivate()`
Pre `AbstractBehavior.deactivate()` hook that may be overwritten to e.g. unregister listeners.
`protected IFeedbackPartFactory`
`getFeedbackPartFactory(IViewer viewer)`
Returns the `IFeedbackPartFactory` that should be used for feedback creation.
`protected IHandlePartFactory`
`getHandlePartFactory(IViewer viewer)`
Returns the `IHandlePartFactory` that should be used for handle creation.
`protected HoverModel`
`getHoverModel()`
Returns the `HoverModel` in the context of the `host`.
`protected void`
`onHoverIntentChange(IContentPart<? extends javafx.scene.Node> oldHoverIntent, IContentPart<? extends javafx.scene.Node> newHoverIntent)`
Callback method that is invoked when the `HoverModel.hoverIntentProperty()` changes.

### Methods inherited from class org.eclipse.gef.mvc.fx.behaviors.AbstractBehavior

`activate, activeProperty, adaptableProperty, addAnchoreds, addAnchoreds, addFeedback, addFeedback, addHandles, addHandles, clearFeedback, clearHandles, deactivate, getAdaptable, getFeedback, getFeedback, getFeedbackPartFactory, getFeedbackPerTargetSet, getHandlePartFactory, getHandles, getHandles, getHandlesPerTargetSet, getHost, hasFeedback, hasFeedback, hasHandles, hasHandles, isActive, removeAnchoreds, removeFeedback, removeFeedback, removeFeedback, removeHandles, removeHandles, removeHandles, setAdaptable, updateHandles, updateHandles`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HOVER_INTENT_FEEDBACK_PART_FACTORY

public static final String HOVER_INTENT_FEEDBACK_PART_FACTORY
The adapter role for the `IFeedbackPartFactory` that is used to generate hover feedback parts.

See Also:
  - Constant Field Values

### HOVER_INTENT_HANDLE_PART_FACTORY

public static final String HOVER_INTENT_HANDLE_PART_FACTORY
The adapter role for the `IHandlePartFactory` that is used to generate hover handle parts.

See Also:
  - Constant Field Values

## Constructor Details

### HoverIntentBehavior

public HoverIntentBehavior()

## Method Details

### doActivate

protected void doActivate()
Description copied from class: `AbstractBehavior`
Post `AbstractBehavior.activate()` hook that may be overwritten to e.g. register listeners.

Overrides:
  `doActivate` in class `AbstractBehavior`

### doDeactivate

protected void doDeactivate()
Description copied from class: `AbstractBehavior`
Pre `AbstractBehavior.deactivate()` hook that may be overwritten to e.g. unregister listeners.

Overrides:
  `doDeactivate` in class `AbstractBehavior`

### getFeedbackPartFactory

protected IFeedbackPartFactory getFeedbackPartFactory(IViewer viewer)
Description copied from class: `AbstractBehavior`
Returns the `IFeedbackPartFactory` that should be used for feedback creation.

Overrides:
  `getFeedbackPartFactory` in class `AbstractBehavior`
Parameters:
  `viewer` - The `IViewer` for which to determine the `IFeedbackPartFactory` for this `IBehavior`.
Returns:
  The `IFeedbackPartFactory` that should be used for feedback creation.

### getHandlePartFactory

protected IHandlePartFactory getHandlePartFactory(IViewer viewer)
Description copied from class: `AbstractBehavior`
Returns the `IHandlePartFactory` that should be used for handle creation.

Overrides:
  `getHandlePartFactory` in class `AbstractBehavior`
Parameters:
  `viewer` - The `IViewer` for which to determine the `IHandlePartFactory` for this `IBehavior`.
Returns:
  The `IHandlePartFactory` that should be used for feedback creation.

### getHoverModel

protected HoverModel getHoverModel()
Returns the `HoverModel` in the context of the `host`.

Returns:
  The `HoverModel` in the context of the `host`.

### onHoverIntentChange

protected void onHoverIntentChange(IContentPart<? extends javafx.scene.Node> oldHoverIntent, IContentPart<? extends javafx.scene.Node> newHoverIntent)
Callback method that is invoked when the `HoverModel.hoverIntentProperty()` changes. Triggers generation/removal of feedback and handles.

Parameters:
  `oldHoverIntent` - The previous hover intent `IContentPart`.
  `newHoverIntent` - The new hover intent `IContentPart`.